<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<style type="text/css"> /* <![CDATA[ */
  @import "branding/css/tigris.css";
  @import "branding/css/inst.css";
  /* ]]> */</style>
<link rel="stylesheet" type="text/css" media="print"
  href="branding/css/print.css"/>
<script type="text/javascript" src="branding/scripts/tigris.js"></script>
<title>Subversion Testimonials</title>
<meta http-equiv="Content-Type"
      content="text/html; charset=UTF-8"/>
</head>

<body>
<div class="app">

<h1 style="text-align: center;">Subversion Testimonials</h1>

<p>If you're trying to persuade your organization to try Subversion,
the <a href="#testimonials">testimonials</a> and the <a
href="#open-source-projects-using-svn">list of open source projects
using Subversion</a> below might help.</p>

<p>See also our <a href="links.html">links page</a> and our <a
href="svn-dav-securityspace-survey.html">graph of public Subversion
DAV servers</a>.</p>

<div class="h2" id="testimonials" title="testimonials">
<h2><a name="testimonials">Testimonials</a></h2>

  <ul>

    <li>
      <p><strong>Jason D. Lee of <a href="http://www.hobbylobby.com/">Hobby Lobby</a></strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=users&amp;msgNo=22868">(15&nbsp;Dec&nbsp;2004)</a></tt></p>

      <p><em>I work for a large retailer in the US.  We are currently
      going through a certification process with VISA.  Part of the
      compliance demands are that we track all router and switch
      configuration changes, noting what changes were made and who
      made them.  We had a vendor come in and demo a very complicated
      system that did the job, but was priced at around $80,000.  Even
      in the middle of a $1M+ project, that's a lot of money.  When
      one of the network administrators told me what the price tag
      was, I immediately pointed him at Subversion.  A few days later
      of testing and developing methodology, we now have the router
      configs for our 300+ stores as well as our corporate routers
      safely stored and tracked in Subversion.  Our network
      administrators use TortoiseSVN for all of the commits, and those
      with access can view the history using WebSVN, and all this cost
      us one 1U server, which was reclaimed from a decommissioned
      server cluster.  It has been fast, stable and easy to use.
      Here's a big thank you to the entire Subversion team, especially
      the ones who tireless answer questions on IRC.  You have built
      an amazing system that I recommend every chance I get.</em></p>

      <p><em>Jason Lee<br/>
      Programmer/Analyst<br/>
      Hobby Lobby Stores, Inc.</em></p>
    </li>

    <li>
      <p><strong><a href="http://www.bieberlabs.com/">Ron Bieber</a></strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=dev&amp;msgNo=72516">(23&nbsp;July&nbsp;2004)</a></tt></p>

      <p><em>I currently manage a group of about 20 developers for a
      Fortune 500 company.  We used CVS from January of 2001 until May
      of 2004 when we converted all of our repositories over to
      Subversion.</em></p>

      <p><em>The advantages we received from Subversion are immense.
      Before our conversion to CVS from VSS, we had two full time
      employees managing our production builds.  Upon conversion to
      CVS we cut that resource count down to one.  This resource
      handled all branching and merging activities, reporting
      activities, and manipulation of the CVS repository to move files
      while retaining history.  The CVS branching and merging was just
      too cryptic (and took too long) for anyone to want to learn it.
      We had two CVS "experts" in house which included me and one of
      my direct reports.  We were constantly called in to resolve
      issues.  I myself spent a ton of time managing the support of
      the CVS repositories.</em></p>

      <p><em>After running across Subversion by chance in May of 2003,
      I started piloting it at home.  As I used it more, I became
      convinced that this was a tool that my team needed in order to
      increase our productivity.  After using it for a while, I was
      able to come up with some specific areas that justified our
      conversion to Subversion in order to maximize our productivity
      and code quality:</em></p>

      <ol>

        <li><em>Atomic commits - The lack of atomicity in commits was a
        huge problem for us with CVS.  Subversion gives us the
        confidence that when we commit, everything went into the
        repository.</em></li>

        <li><em>The ability to back out changes before going to
        production--using an activity branching model, we can allow
        developers to branch per activity and only merge to the main
        source base after code reviews have been performed.  If there
        are problems, we have one revision we can back out that
        includes the full changeset for that change. While the
        repository level revisioning was a shift for my developers to
        make that didn't happen immediately, it begins to make sense
        when an activity had to be removed from the build.  In CVS we
        had to go through each file looking for revisions that were
        effected by a change.  Subversion now manages this for
        us.</em></li>

        <li><em>Decreased build time.  We run CruiseControl, and the
        checkout times we were experiencing with CVS, along with our
        requirement to tag of our source base after each build caused
        our automated build cycle to take an inordinate amount of
        time.  With the restriction that all production changes MUST
        go through the build, this made emergency situations very
        stressful.  The cheap copy functionality of Subversion
        decreased the time it took to get a change into source
        control, through the build system, and into deployment
        packages by 80%, greatly increasing our response time.</em></li>

        <li><em>Directory Versioning - this was a big deal that caused us
        to actually evaluate Clearcase at one point.  The CVS Attic
        was killing us in checkout time and build time with the
        velocity of change we were making to the source base.  When
        checkout times got too slow, we would have to wipe out the
        attic, effectively wiping out the history of our source base.
        With Subversion, we can remove something from the repository
        and not suffer performance penalties later (and still be able
        to get the deleted contents back).</em></li>

        <li><em>Simpler (and faster) branching - we no longer have a full
        time FTE managing branches.  We are now cycling this activity
        through the group.  Each developer can perform this activity,
        because it is now part of his daily work.</em></li>
      </ol>

      <p><em>As a manager, converting to Subversion was one of the best
      decisions I have made thus far that had a such a direct and
      highly visible impact on the productivity of my team.</em></p>

      <p><em>I hope this helps you make your case for Subversion.  My
      personal opinion is that no one should even consider CVS at this
      point in time.  Subversion is a great product and the support
      you get just on the mailing lists alone (from the development
      team no less!) is second to none.</em></p>
    </li>

    <li>
      <p><strong>Ross Mark of Controlling Edge Inc</strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=dev&amp;msgNo=72348">(22&nbsp;July&nbsp;2004)</a></tt></p>
 
      <p><em>For my own company Controlling Edge and at one of my
      customers S4 Technology (www.s4-technology.com) I have been
      running Subversion since 0.17 and have never looked back. While
      there were a few issues initially we have never lost anything
      and currently have around 20 repositories containing everything
      from source code, documentation to complete product
      installations. We use Subversion to install and upgrade the
      software on our servers. Once we copy the svn client onto the
      box the entire installation is a simple svn co plus the asvn to
      restore symlinks, devices and file permissions. Upgrading
      between releases with svn is great as it automatically merges
      any changes to local configuration files with new entries for
      the latest version. We even use svn to store file system images
      for our embedded devices (linux file system). Currently we have
      to check out the svn image on a server and then downloaded to
      our embedded device via rsync. We don't have the memory for a
      full svn client nor the disk space for the working copy but one
      day we will write our own svn client that can just do the
      checkout without the need for the wc support files or the memory
      overhead.</em></p>

      <p><em>For the past 9 years I had been installing CVS at
      customer sites that required version control and wouldn't
      hesitate now to recommend SVN instead.</em></p> 
    </li>

    <li>
      <p><strong>John Szakmeister</strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=dev&amp;msgNo=72339">(21&nbsp;July&nbsp;2004)</a></tt></p>

      <p><em>I work for a government contracting facility.  We develop
      everything from hardware, to full-fledged software applications,
      all of which supports mission-critical activities.  We're
      currently using it on one of our most productive teams, and
      houses about 3 years worth of work (for about 14 developers).
      We started off with CVS, and found that the customer was
      constantly coming back with request for features and upgrades.
      Our small test projects would turn into fully-funded
      applications, and as such, we had to restructure them.  It was
      just too painful with CVS, and we decided to look for something
      better.</em></p>

      <p><em>We found Subversion when it was at version 0.17.  We
      started with just a few developers using it, and then migrated
      our other developers over time.  I can say without question that
      it has been one of the best decisions that we've made.
      Subversion works better than CVS ever did.  We can detect
      corruption before it gets to be a problem, we get atomic
      commits, and directory versioning.  All of which has made our
      development process and our ability to adapt to the customers'
      ever-changing requirements that much easier.  Plus, it natively
      supports both the Windows and Linux platforms (versus the mixing
      of CVS and CVSNT that we had before), which is our primary
      development platforms.  We've never lost any data, and our
      developers have found it to be a very intuitive tool.
      Subversion has been rock-solid in our environment, and very much
      complements our software engineering practices.  I can't speak
      highly enough of it.</em></p> 
    </li>

    <li>
      <p><strong>Stuart Robertson of Absolute Systems, Inc</strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=users&amp;msgNo=10651">(5&nbsp;May&nbsp;2004)</a></tt></p>
 
      <p><em>I introduced SVN to Absolute Systems Inc.
      (www.absolutesys.com) where I work about a year ago, and for
      about 8 months we ran internal SVN pilots, played around to gain
      experience and trust, etc.</em></p>

      <p><em>In the last 4 months we have migrated all of our internal
      product source repositories from Visual Source-Safe to SVN using
      an internally-written VSS-to-SVN migration tool.</em></p>

      <p><em>Our largest SVN repository is now 3.7GB and currently has
      68806 revisions. We are running SVN 1.0.1 + Apache 2.0.48 on
      Linux. ...</em></p>

      <p><em>SVN is a superb piece of work, and it is a *huge* step
      forward from VSS.  To put things in perspective... previously we
      had 26 VSS databases for one product, primarily because of
      problems with VSS when the repositories grow large.  As you can
      imagine, trying to manage product releases across so many
      repositories was really painful.</em></p>

      <p><em>Now, with SVN, *all* of the artifacts for that same product are
      in a single repository, meaning that with a few cheap copy
      operations all of the sources that make up a given release can
      be grouped together. ...</em></p>
    </li>

    <li>
      <p><strong>Gustavo Niemeyer of Conectiva Linux</strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=users&amp;msgNo=6523">(25&nbsp;February&nbsp;2004)</a></tt></p>

      <p><em>I'm sure you are aware about the fantastic product you
      people have built, but I'd like to tell you a little story which
      should give new users some comfort about it.</em></p>

      <p><em>Here in Conectiva we used to maintain our packages in a file
      based system, storing the latest SRPM packages, and also some
      old versions in case something bad happened. For a long time we
      wanted to build some system which would make our life easier in
      the daily work, and at the same time would give us some
      flexibility accessing historic information.</em></p>

      <p><em>Shortening the history a lot, 1 year and 6 months ago, the
      first revision was committed into our repository:</em></p>

      <pre>
      % svn log https://svn.distro.conectiva/repos/cnc -r 1
      ------------------------------------------------------------------------
      r1 | niemeyer | 2002-08-27 17:12:04 -0300 (Tue, 27 Aug 2002) | 1 line
      
      Created basic structure.
      ------------------------------------------------------------------------
</pre>

      <p><em>Since then, 5 complete Conectiva Linux distributions were
      committed into the repository, and every single update in the
      distribution is done using Subversion. We've already surpassed
      50000 revisions, in a 30GB repository. Even though we have had
      space, memory, and other kinds of problems around the
      repository, I'm proud to say we have never lost a single bit of
      information since then.</em></p>

      <p><em>Based on this, the least I could do is sending a big THANK
      YOU for everyone involved in the project.</em></p>
    </li>

    <li>
      <p><strong>Mark Bohlman of Teledata Communications</strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=users&amp;msgNo=14575">(21&nbsp;July&nbsp;2004)</a></tt></p>

      <p><em>Teledata Communications has been using Subversion for
      storing all of the source code on all our software products for
      the past year (since version 0.24).  I have been very happy with
      the overall results and they way that developer impacts are
      minimal.  We have not lost a single byte of code nor had any
      significant issues with using Subversion since the beginning.  I
      attribute part of the productivity gains we have see in the past
      year to the move away from our prior system with locking (and
      the corresponding messages back and for to have something
      'unlocked').  We continued to expand the use of the product to
      all groups in the company.</em></p>

      <p><em>Mark Bohlman<br/>
      Software Development Manager</em></p>
    </li>

    <li>
      <p><strong>Mark Grosberg, regarding <a
      href="http://www.asttool.com/">Assenmacher Specialty Tools</a>
      and <a href="http://www.gladesoft.com/">GladeSoft</a></strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=users&amp;msgNo=14573">(21&nbsp;July&nbsp;2004)</a></tt></p>

      <p><em>AST makes automotive scan tools.  We keep our source code
      for both the embedded side and the Windows interface side under
      Subversion.  In addition we keep our (large) databases under
      Subversion as well.</em></p>

      <p><em>GladeSoft sells an embedded webserver toolkit and
      application framework. Subversion stores all of our code and
      documentation.  In addition we store all of our business records
      in Subversion; so I guess we can't pull an Enron as easily
      :-)</em></p>

      <p><em>Neither company has lost a single change with
      Subversion. Both companies also have satellite workers who use
      SSL to access the source repositories.  Subversion
      administration is relatively straightforward provided you use
      Apache so there are no permission problems. At AST most of the
      server administration is done by one of the mechanics who has
      other work to do.</em></p>

    </li>

    <li>
      <p><strong>Fog Creek Software on the
         <a href="http://www.fogcreek.com/FogBugz/docs/40/Articles/SourceControl/TortoiseSVN.html"
         >FogBugz and TortoiseSVN</a> integration</strong></p>

      <p><em>Fog Creek Software has been using Subversion as our
      source control system for a few years now.  We switched awhile
      back from using CVS and have nothing but praise for Subversion.
      Anyone currently using CVS should bite the bullet and make the
      switch.  It just works.  The price is right, and best of all it
      integrates tightly with FogBugz.  We support a whole host of
      <a href="http://www.fogcreek.com/FogBugz/docs/40/Articles/SourceControl/SourceControlIntegrationS.html"
      >Source Control Systems</a>, and adding new ones is very simple,
      but if you are starting out -- our recommendation is to start
      with Subversion.</em></p>

      <p><em>Once you get Subversion set up and running, if you are on
      Windows, you will be amazed at how useful a good Subversion
      client can be.  Steve King has created a fantastic piece of
      software, the <a href="http://tortoisesvn.tigris.org/"
      >TortoiseSVN</a> client, and he has spent some time making sure
      that it works perfectly with FogBugz.  [...]</em></p>

    </li>

    <li>
      <p><strong>Robert Zeh of Error Free Software</strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=users&amp;msgNo=14696">(23&nbsp;July&nbsp;2004)</a></tt></p>

      <p><em>I manage a 13 member application development group for a
      trading firm.  There are about 9 other developers outside the
      group, and some others, so we have about 20 people using our
      Subversion repository.</em></p>

      <p><em>For the past 10 years we used SCCS.  It was very
      frustrating --- files could not be renamed or moved, developers
      would forget about locks they had acquired, and remote
      development was next to impossible.  SCCS also made our limited
      Windows development painful (we are a Unix shop).</em></p>

      <p><em>Since we switched to Subversion things have been much
      better.  Our entire history was transported into our Subversion
      repository, so none of our history was lost.  I wrote a Python
      script to transform it directly from SCCS to Subversion, and it
      was painless.</em></p>

      <p><em>Conflicts have been very rare.  The ability to easily
      branch has been very useful; developers can make commits to
      branches without breaking other people's code.  It's easier to
      see what people are working on as the commits hit our internal
      commit mailing list.  Since we tag each release, we're able to
      determine which source code contributed to a release.
      TortiseSVN makes Windows development easy (no more ftping files
      over, or trying to build on a remotely mounted samba
      drive).</em></p>

      <p><em>Robert Zeh<br/>
      Manager, Application Development<br/>
      Error Free Software</em></p>

    </li>

    <li>
      <p><strong>Chris Wein of Mobilygen</strong>
      <tt><a href="http://subversion.tigris.org/servlets/ReadMsg?list=users&amp;msgNo=14695">(23&nbsp;July&nbsp;2004)</a></tt></p>

      <p><em>I also have had a very positive experience moving from
      CVS to Subversion in a commercial setting.  We are a small-ish
      silicon valley startup that used to have everything in CVS.
      Shortly after I joined as s/w manager I switched the s/w team to
      SVN (0.37) with excellent results.  We have had zero loss of
      data, zero down time, with effective branching, easy repository
      restructuring and constant time tags as our big positives.  The
      entire company will be moving in the near-ish future based on
      our pilot.  And of course the support from this list is
      fantastic.</em></p>

      <p><em><span style="color: red">[Fair play dictates that we also
      include the wish-list portion of Chris's
      testimonial...]</span></em></p>

      <p><em>As for my wishlist, it is short - completely seamless and
      foolproof tracking of merge history at the same level as the
      commercial tools.  I don't want to remember revision numbers, I
      just want to branch and merge with the tool remembering common
      base versions etc.  This is really the only thing I miss about
      ClearCase.</em></p>

      <p><em><span style="color: red">[We agree :-).  Better merge tracking
      is on Subversion's long-term <a
      href="roadmap.html">roadmap</a>.]</span></em></p>

    </li>

    <li>
      <p><strong>Martin Pittenauer of <a href="http://www.codingmonkeys.de/subethaedit/">SubEthaEdit</a></strong>
      <tt>(2&nbsp;June&nbsp;2004)</tt></p>

      <p><em>We are using Subversion since version 0.17 and it never
      let us down.  On contrary it provided a much better experience
      than any versioning system we have used before, including CVS
      and perforce. With Apple adding support for .svn files within
      NIBs with Xcode 1.2 we are certain that Subversion is the ideal
      versioning platform for modern software development on Mac OS
      X.</em></p> 
    </li>

  </ul>

</div>

<div class="h2" id="open-source-projects-using-svn"
                title="open-source-projects-using-svn">
<h2>Open Source Projects Using Subversion</h2>

<p style="font-style: italic;">This is not a complete list of all open
source projects using Subversion, just some of the most recognizeable
ones:</p>

  <ul>

    <li><p><strong>ASF</strong>: The Apache Software Foundation.<br/>
        Project site:  <a href="http://www.apache.org/"
                     >http://www.apache.org/</a><br/>
        Repository:  <a href="http://svn.apache.org/repos/asf/">
                     http://svn.apache.org/repos/asf/</a><br/>
      <em>The Apache Software Foundation is a community of many
      open-source software projects, including the popular Apache HTTP
      Server.</em></p>
    </li>

    <li><p><strong>KDE</strong>: The K Desktop Environment.<br/>
        Project site:  <a href="http://www.kde.org/"
                     >http://www.kde.org/</a><br/>
        Repository:  <a href="svn://anonsvn.kde.org/home/kde/">
                     svn://anonsvn.kde.org/home/kde/</a><br/>
      <em>KDE is a powerful Free Software graphical desktop
      environment for Linux and Unix workstations.</em></p>
    </li>

    <li><p><strong>GNOME</strong>: The GNOME Project.<br/>
        Project site:  <a href="http://www.gnome.org/"
                     >http://www.gnome.org/</a><br/>
        Repository:  <a href="http://svn.gnome.org/">
                     http://svn.gnome.org/</a><br/>
      <em>The GNOME project provides the GNOME desktop environment and
      the GNOME development platform, an extensive framework for
      building applications that integrate into the rest of the
      desktop.</em></p>
    </li>

    <li><p><strong>GCC</strong>: The GNU Compiler Collection.<br/>
        Project site:  <a href="http://gcc.gnu.org/"
                     >http://gcc.gnu.org/</a><br/>
        Repository:  <a href="svn://gcc.gnu.org/svn/gcc/">
                     svn://gcc.gnu.org/svn/gcc</a><br/>
      <em>GCC, the GNU Compiler Collection, includes front ends for C,
      C++, Objective-C, Fortran, Java, and Ada, as well as libraries
      for these languages.</em></p>
    </li>

    <li><p><strong>Python</strong>: The Python programming language<br/>
        Project site:  <a href="http://www.python.org/"
                     >http://www.python.org/</a><br/>
        Repository:  <a href="http://svn.python.org/projects/python/">
                     http://svn.python.org/projects/python/</a><br/>
      <em>Python is an interpreted, interactive, object-oriented
      programming language.</em></p>
    </li>

    <li><p><strong>Samba</strong>:  SMB services for *nix systems.<br/>
        Project site:  <a href="http://www.samba.org/"
                     >http://www.samba.org/</a><br/>
        Repository:  <a href="svn://svnanon.samba.org/samba"
                     >svn://svnanon.samba.org/samba</a><br/>
      <em>Samba is an Open Source/Free Software suite that provides
      seamless file and print services to SMB/CIFS clients.</em></p>
    </li>

    <li><p><strong>Mono</strong>: an open-source implementation of
        C#/.NET.<br/>
        Project site:  <a href="http://www.mono-project.com/"
                     >http://www.mono-project.com/</a><br/>
        Repository:  <a href="svn://mono.myrealbox.com/source/"
                     >svn://mono.myrealbox.com/source/</a><br/>
      <em>Mono is a comprehensive open source development platform based
      on the .NET framework.</em></p>
    </li>

    <li><p><strong>PuTTY</strong>: Win32 SSH/Telnet implementation<br/>
        Project site:  <a
           href="http://www.chiark.greenend.org.uk/~sgtatham/putty/"
                >http://www.chiark.greenend.org.uk/~sgtatham/putty/</a><br/>
        Repository: <a href="svn://ixion.tartarus.org/main/putty/"
                    >svn://ixion.tartarus.org/main/putty/</a><br/>
      <em>PuTTY is a free implementation of Telnet and SSH for Win32 and
      Unix platforms, along with an xterm terminal emulator.</em></p>
    </li>

    <li><p><strong>Zope</strong>:  web application
        server/framework.<br/>
        Project site:  <a href="http://www.zope.org/"
                     >http://www.zope.org/</a><br/>
        Repository:  <a href="svn://svn.zope.org/repos/main/Zope"
                     >svn://svn.zope.org/repos/main/Zope</a><br/>
      <em>Zope is an open source application server for building content
      managements, intranets, portals, and custom applications.</em></p>
    </li>

    <li><p><strong>Plone</strong>:  content management system.<br/>
        Project site:  <a href="http://plone.org/"
                               >http://plone.org/</a><br/>
        Repository:    <a href="http://svn.plone.org/"
                               >http://svn.plone.org/</a><br/>

      <em>Plone is an out-of-the-box ready content management system
      built on the powerful and free Zope Application server.</em></p>
    </li>

    <li><p><strong>Xiph</strong>:  open-source multimedia
        protocols.<br/>
        Project site:  <a href="http://www.xiph.org/"
                     >http://www.xiph.org/</a><br/>
        Repository:  <a href="http://svn.xiph.org/"
                     >http://svn.xiph.org/</a><br/>
      <em>The Xiph.Org Foundation is a non-profit corporation best known
      for the development of the Ogg Vorbis sound compression format and
      the Ogg Theora video codec.</em></p>
    </li>

    <li><p><strong>GnuPG</strong>: a free encryption program.<br/>
        Project site:  <a href="http://www.gnupg.org/"
                               >http://www.gnupg.org/</a><br/>
        Repository:  <a href="svn://cvs.gnupg.org/gnupg/"
                             >svn://cvs.gnupg.org/gnupg/</a><br/>

      <em>GnuPG is a GPL-licensed replacement for <cite>Pretty Good
      Privacy</cite> (PGP) and provides strong encryption and digital
      signatures.</em></p>
    </li>

    <li><p><strong>CUPS (Common UNIX Printing System)</strong>: printing
        services for Unix-based OS's.<br/>
        Project site:  <a href="http://www.cups.org/"
                               >http://www.cups.org/</a><br/>
        Repository:  <a href="http://svn.easysw.com/public/cups/trunk/"
                             >http://svn.easysw.com/public/cups/trunk/</a><br/>

      <em>CUPS provides a portable printing layer for Unix-based
      operating systems.</em></p>
    </li>

    <li><p><strong>Irssi</strong>:  a GPL-licensed IRC client.<br/>
        Project site:  <a href="http://www.irssi.org/"
                               >http://www.irssi.org/</a><br/>
        Repository:  <a href="http://svn.irssi.org/"
                             >http://svn.irssi.org/</a><br/>

      <em>Irssi is a popular and powerful text mode IRC client for
      Unix-like operating systems.</em></p>
    </li>

    <li><p><strong>Linux From Scratch</strong>:  a Linux distribution
        built from source.<br/>
        Project site:  <a href="http://www.linuxfromscratch.org/"
                     >http://www.linuxfromscratch.org/</a><br/>
        Repository:  <a href="svn://linuxfromscratch.org/LFS/"
                     >svn://linuxfromscratch.org/LFS/</a><br/>

      <em>A Linux distribution which gives you the power to build your
      own, customized system and teaches you how a Linux system works
      internally.</em></p>
    </li>

    <li><p><strong>Conectiva</strong>:  a South American Linux
        distribution.<br/>
        Project site:  <a href="http://www.conectiva.com.br/"
                     >http://www.conectiva.com.br/</a><br/>
        Repository:  <a href="https://moin.conectiva.com.br/RepositorySystem"
                     >https://moin.conectiva.com.br/RepositorySystem</a><br/>

      <em>Conectiva develops and distributes the Conectiva Linux
      distribution, which is aimed at use in Latin America.</em></p>
    </li>

    <li><p><strong>Trac</strong>: a project management system.<br/>
        Project site:  <a href="http://projects.edgewall.com/trac/">
                     http://projects.edgewall.com/trac/</a><br/>
        Repository:  <a href="http://svn.edgewall.com/repos/trac/"
                        >http://svn.edgewall.com/repos/trac/</a><br/>
        <em>Trac is an enhanced wiki and issue tracking system for
        software development projects. It provides an interface to
        Subversion, an integrated wiki and convenient report
        facilities.</em></p>
    </li>

    <li><p><strong>GNU Enterprise</strong>: enterprise application
                                            development.<br/>
        Project site:  <a href="http://www.gnuenterprise.org/">
                     http://www.gnuenterprise.org/</a><br/>
        Repository:  <a href="http://www.gnuenterprise.org/developers/svn.php"
                        >http://www.gnuenterprise.org/developers/svn.php</a>
                       <br/>
        <em>GNU Enterprise (GNUe) is a meta-project which is part of the
        overall GNU Project. GNUe's goal is to develop enterprise-class
        data-aware applications as Free software.</em></p>
    </li>

    <li><p><strong>Ethereal</strong>: a free network protocol
        analyzer<br/>
        Project site:  <a href="http://www.ethereal.com/"
                       >http://www.ethereal.com/</a><br/>
        Repository:  <a href="http://anonsvn.ethereal.com/ethereal/"
                     >http://anonsvn.ethereal.com/ethereal/</a><br/>
        <em>Ethereal is a free network protocol analyzer with all the
        standard features you would expect in a protocol analyzer, and
        several features not seen in any other product.</em></p>
    </li>

    <li><p><strong>Netfilter</strong>: the Linux packet manipulation
        framework<br/>
        Project site:  <a href="http://www.netfilter.org/"
                       >http://www.netfilter.org/</a><br/>
        Repository:  <a href="https://svn.netfilter.org/netfilter/"
                     >https://svn.netfilter.org/netfilter/</a><br/>
        <em>netfilter is a set of hooks inside the Linux kernel that
        allows kernel modules to register callback functions with the
        network stack. iptables is a generic table structure for the
        definition of rulesets.</em></p>
    </li>

    <li><p><strong>TWiki</strong>: a web based collaboration
        platform<br/>
        Project site:  <a href="http://twiki.org/"
                       >http://twiki.org/</a><br/>
        Repository:  <a href="http://ntwiki.ethermage.net/svn/twiki/"
                     >http://ntwiki.ethermage.net/svn/twiki/</a><br/>
        <em>TWiki is a structured wiki, typically used to run a project
        development space, a document management system, a knowledge
        base, or any other groupware tool on the network.</em></p>
    </li>

  </ul>

</div>

</div>
</body>
</html>

